This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 432439 - Problems with DISPLAY variable
Problems with DISPLAY variable
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-services (Show other bugs)
5.1
i386 Linux
low Severity low
: rc
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 19:57 EST by Matthias Epple
Modified: 2008-12-03 05:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 05:06:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Epple 2008-02-11 19:57:29 EST
Description of problem:
I'm using vnc to connect to a CentOS 5.1 system. So basically RedHat Enterprise 
Linux 5.
When I do that, the display variable is set to "localhost.localdomain:1.0".
If it is like that, I cannot open the Service Configuration Tool.
My workaround is that I reset the display variable to ":1.0" in the
.bash_profile:
DISPLAY=`echo $DISPLAY | grep -o :.*`
export DISPLAY


Version-Release number of selected component (if applicable):
0.9.4-1.el5.noarch

How reproducible:
Set DISPLAY variable to "localhost.localdomain:0.0" and run command in shell


Steps to Reproduce:
1. DISPLAY=localhost.localdomain:0.0
2. export DISPLAY
3. system-config-services
  
Actual results:
Window doesn't appear

Expected results:
Window appears

Additional info:
Comment 1 Nils Philippsen 2008-02-12 04:42:15 EST
Is system-config-services the only tool with this issue? Please check, whether
e.g. system-config-date and system-config-network exhibit the same problem or not.
Comment 2 Nils Philippsen 2008-12-03 05:06:35 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.